Debian Bug report logs - #357929
ifupdown: 6to4 support

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: David Schmitt <david@schmitt.edv-bus.at>

Date: Mon, 20 Mar 2006 10:33:02 UTC

Severity: wishlist

Tags: ipv6, patch

Found in version ifupdown/0.6.7

Fixed in version ifupdown/0.7~alpha4

Done: bugzilla@tut.by (Andrew O. Shadoura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#357929; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to David Schmitt <david@schmitt.edv-bus.at>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Schmitt <david@schmitt.edv-bus.at>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ifupdown: 6to4 support
Date: Mon, 20 Mar 2006 11:24:15 +0100
[Message part 1 (text/plain, inline)]
Package: ifupdown
Version: 0.6.7
Severity: wishlist
Tags: patch, ipv6

Hi aj!

Attached are the scripts setup-6to4 and clean-6to4 which are (prototype)
implementations of 6to4 support for ifupdown to put into if-{up,down}.d
respectivly. In the spirit of ipv6' autoconfiguration, I tried to keep
the needed configuration minimally.

Here is the documentation for the new configuration options the
implement:

use6to4 _yes|no_
	If set to yes, use the outgoing source ip of this interface as
	local endpoint fo a 6to4 tunnel. The address' basic format is
	2002:<<ipv4>>::/16

6to4subnet _ipv6 address fragment_
	This can be used to configure a subnet of the local 6to4 address
	space on another interface; e.g. on a router. The fragment is
	the local subnet, four hexadecimal digits, which is inserted
	into the 6to4 addresses: 2002:<<ipv4>>:<<subnet>>::/64

6to4base_iface _interface name_
	When configuring a 6to4 subnet, the 6to4 prefix is determined by
	looking at this interfaces. Keep the base_iface in front of this
	iface in "auto" directives to ensure proper configuration
	sequencing.


Using the 6to4base_iface, one can keep the ipv4 address dynamic. In the
case of only one 6to4 tunnel, the base_iface could be inferred.

There is a obvious dependency between the main 6to4 interface and all
interfaces with an attached subnet.

The scripts use iproute to access networking information.

See
http://www.tldp.org/HOWTO/Linux+IPv6-HOWTO/configuring-ipv6to4-tunnels.html
for a simple 6to4 HOWTO.


Regards, David

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-rc5-vserver-686
Locale: LANG=C, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)

Versions of packages ifupdown depends on:
ii  debconf [debconf-2.0]         1.4.72     Debian configuration management sy
ii  libc6                         2.3.6-3    GNU C Library: Shared libraries an
ii  net-tools                     1.60-17    The NET-3 networking toolkit

ifupdown recommends no packages.

-- debconf information excluded
[clean-6to4 (application/x-shellscript, attachment)]
[setup-6to4 (application/x-shellscript, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#357929; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Fabian Linzberger <e@lefant.net>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #10 received at 357929@bugs.debian.org (full text, mbox):

From: Fabian Linzberger <e@lefant.net>
To: 357929@bugs.debian.org
Subject: Re: ifupdown: 6to4 support
Date: Mon, 20 Mar 2006 22:31:57 +0100
thanks David for helping me clean up my firewall config ;)


works fine over here.



a small suggestion:

maybe remove the "exit 0" statements. they usually don't help a
lot. and actually get in the way of something like:

      use6to4 yes
      6to4subnet 2
      6to4base_iface br0

ie. it breaks setups weird enough to include a bridge.


cheers

fabian



Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#357929; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Rémi Denis-Courmont <rdenis-debian-bts1@simphalempin.com>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #15 received at 357929@bugs.debian.org (full text, mbox):

From: Rémi Denis-Courmont <rdenis-debian-bts1@simphalempin.com>
To: 357929@bugs.debian.org
Subject: What about truly dynamic IPv4 interfaces?
Date: Sat, 15 Apr 2006 22:49:14 +0200
	Hello,

This sounds nice, but will it work at all with a truly dynamic upstream 
IPv4 interface, i.e. one that is not brought up immediatly at boot-time 
with ifupdown?

It is my understanding that 6to4 is typically meant for small IPv6 
islands with a DSL/cable connection. A typical scenario would be one or 
more statically configured Ethernet “downstream” interfaces, and a 
dynamically configured PPP “upstream” connection. In that case, if I'm 
not mistaken your script will fail because it the IPv4 address of the 
6to4 gateway will not be known at the time when the Ethernet interfaces 
will be ifup'd. Radvd already kind of support this situation with its 
Base6to4Interface and refreshing with a SIGHUP.

But maybe it's hardly possible to support this situation properly.
Any idea?

-- 
Rémi Denis-Courmont
http://www.simphalempin.com/home/



Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:42 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:26 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:44 GMT) Full text and rfc822 format available.

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:09 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew O. Shadoura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 20 Apr 2011 09:16:38 GMT) Full text and rfc822 format available.

Reply sent to bugzilla@tut.by (Andrew O. Shadoura):
You have taken responsibility. (Wed, 08 Jun 2011 12:51:53 GMT) Full text and rfc822 format available.

Notification sent to David Schmitt <david@schmitt.edv-bus.at>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 12:51:55 GMT) Full text and rfc822 format available.

Message #30 received at 357929-close@bugs.debian.org (full text, mbox):

From: bugzilla@tut.by (Andrew O. Shadoura)
To: 357929-close@bugs.debian.org
Subject: Bug#357929: fixed in ifupdown 0.7~alpha4
Date: Wed, 08 Jun 2011 12:20:56 +0000
Source: ifupdown
Source-Version: 0.7~alpha4

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive:

ifupdown_0.7~alpha4.dsc
  to main/i/ifupdown/ifupdown_0.7~alpha4.dsc
ifupdown_0.7~alpha4.tar.gz
  to main/i/ifupdown/ifupdown_0.7~alpha4.tar.gz
ifupdown_0.7~alpha4_amd64.deb
  to main/i/ifupdown/ifupdown_0.7~alpha4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 357929@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew O. Shadoura <bugzilla@tut.by> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 08 Jun 2011 12:10:14 +0300
Source: ifupdown
Binary: ifupdown
Architecture: source amd64
Version: 0.7~alpha4
Distribution: experimental
Urgency: low
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Changed-By: Andrew O. Shadoura <bugzilla@tut.by>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 149395 158089 159884 196877 357929 384143 389996 408453 415285 417718 460276 471834 518924 520576 575110 584530 601705 604136 607713 610238
Changes: 
 ifupdown (0.7~alpha4) experimental; urgency=low
 .
   * New maintainer.
   * Removed VCS repository from the tarball (Closes: #417718).
   * Add source stanza (Closes: #159884, #149395, #471834).
   * Fix bashism in example script get-mac-address.sh (Closes: #518924).
   * Use DebSrc3.0 source format and dh7.
   * Add auto method for IPv6, fix static method (Closes: #604136).
   * Update URL for Debian Reference (Closes: #610238).
   * Fix typos in the man page (Closes: #384143, #415285).
   * Add GRE and IPIP tunnels support (Closes: #158089).
   * Fix inet/static pointopoint option (Closes: #460276).
   * Add support for enabling/disabling IPv6 privacy extension
     (Closes: #520576).
   * Move network state file to /run/network (Closes: #389996).
   * Fix init script dependencies (Closes: #607713, #601705).
   * Add MTU setting for v4tunnel (Closes: #408453, #575110).
   * Allow multiple interface definitions to ease work with multiple IP per
     interface.
   * Allow passing PPP options, pass updetach by default (Closes: #196877).
   * Add 6to4 tunnels support (Closes: #357929).
   * Add CAN interface support (Closes: #584530).
   * Drop 0.5.x migration script.
   * Drop dependency on net-tools; suggest it instead.
   * Bump Standards-Version to 3.9.2.
Checksums-Sha1: 
 9bec1b939c57b7aae09a8a4499c3066aaaaa19c2 797 ifupdown_0.7~alpha4.dsc
 c3224838c1989925bad1c836788337f8d9cf847f 89299 ifupdown_0.7~alpha4.tar.gz
 eb2502dc6efd215c320d4ea78c56669f5544148f 50234 ifupdown_0.7~alpha4_amd64.deb
Checksums-Sha256: 
 6f07fa02edd18666b7bb8bfea696575d95ff1bf3d17172c704ef9b419ae1047d 797 ifupdown_0.7~alpha4.dsc
 c524c9e187c73a2edc652f4349a064599447eca89e8ac253a7e4d9cdb796e481 89299 ifupdown_0.7~alpha4.tar.gz
 1d033c47bef1ebedd5b301ded455c73a654623b16784f5055cf035093734b205 50234 ifupdown_0.7~alpha4_amd64.deb
Files: 
 04f1dfcf3bf39033c8b7a736f3382b52 797 admin important ifupdown_0.7~alpha4.dsc
 a48e206dadfdb2f4c11cfcca995369f3 89299 admin important ifupdown_0.7~alpha4.tar.gz
 f2165f61e612e1572d3012f7c8fa7eec 50234 admin important ifupdown_0.7~alpha4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREDAAYFAk3vY5kACgkQVcFcaSW/uEhUSgCgz3bP6D/Ye/bSYiQWXX7QqwjI
604Ani6ozVwQF1Sr3bCZq2L0wga3CtV8
=bZeW
-----END PGP SIGNATURE-----





Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:44:33 GMT) Full text and rfc822 format available.

Removed tag(s) squeeze, sid, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:26 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:40:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:20:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.